
MEMORY
{
  BEGIN		: origin = 0x000000, length = 0x000002
  BOOT_RSVD	: origin = 0x000002, length = 0x000121     /* Part of M0, BOOT rom will use this for stack */
  RAMM0		: origin = 0x000123, length = 0x0002DD
  RAMM1		: origin = 0x000400, length = 0x0003F8     /* on-chip RAM block M1 */
//   RAMM1_RSVD      : origin = 0x0007F8, length = 0x000008     /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */
  GPIOCTRL	: origin = 0x007C00, length = 0x200
  RAMLS0	: origin = 0x008000, length = 0x800
  RAMLS1	: origin = 0x008800, length = 0x800
  RAMLS2	: origin = 0x009000, length = 0x800
  RAMLS3	: origin = 0x009800, length = 0x800
  RAMLS4	: origin = 0x00A000, length = 0x800
  RAMLS5	: origin = 0x00A800, length = 0x800
  RAMD0		: origin = 0x00B000, length = 0x800
  RAMD1		: origin = 0x00B800, length = 0x800
  RAMGS0	: origin = 0x00C000, length = 0x001000
  RAMGS1	: origin = 0x00D000, length = 0x001000
  RAMGS2	: origin = 0x00E000, length = 0x001000
  RAMGS3	: origin = 0x00F000, length = 0x001000
  RAMGS4	: origin = 0x010000, length = 0x001000
  RAMGS5	: origin = 0x011000, length = 0x001000
  RAMGS6_11	: origin = 0x012000, length = 0x006000
  RAMGS12_15	: origin = 0x018000, length = 0x003FF8	/* Only Available on F28379D, F28377D, F28375D devices. Remove line on other devices. */
  RAMGS15_RSVD	: origin = 0x01BFF8, length = 0x000008    /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */
                                                            /* Only on F28379D, F28377D, F28375D devices. Remove line on other devices. */
  CPU2TOCPU1RAM	: origin = 0x03F800, length = 0x400
  CPU1TOCPU2RAM	: origin = 0x03FC00, length = 0x400

  USBA		: origin = 0x040000, length = 0x800
  CANA_MSG_RAM	: origin = 0x049000, length = 0x800
  CANB_MSG_RAM	: origin = 0x04B000, length = 0x800
  CLKCFG	: origin = 0x05D200, length = 0x100
  CPUSYS	: origin = 0x05D300, length = 0x100
  RESET		: origin = 0x3FFFC0, length = 0x002
}

SECTIONS
{
  codestart        : > BEGIN
  .text            : > RAMGS6_11
  .cinit           : > RAMM0
  .switch          : > RAMM0
  .reset           : > RESET, TYPE = DSECT /* not used, */
  .stack           : > RAMM1

#if defined(__TI_EABI__)
  .bss             : >> RAMGS5 | RAMGS6_11 | RAMGS12_15
  .bss:output      : > RAMLS3
  .bss:cio         : > RAMGS2
  .init_array      : > RAMM0
  .const           : >> RAMGS5 | RAMGS6_11
  .data            : > RAMGS6_11
  .sysmem          : > RAMGS6_11
#else
  .pinit           : > RAMM0
  .ebss            : > RAMGS4
  .econst          : >> RAMGS5 | RAMGS6_11
  .esysmem         : > RAMGS6_11
  .cio             : > RAMGS2
#endif
  Filter_RegsFile  : > RAMGS0
  ramgs0           : > RAMGS0
  ramgs1           : > RAMGS1

#ifdef __TI_COMPILER_VERSION__
  #if __TI_COMPILER_VERSION__ >= 15009000
   .TI.ramfunc : {} > RAMM0
  #else
   ramfuncs    : > RAMM0
  #endif
#endif

   /* The following section definitions are required when using the IPC API Drivers */
  GROUP : > CPU1TOCPU2RAM
  {
    PUTBUFFER
    PUTWRITEIDX
    GETREADIDX
  }
  GROUP : > CPU2TOCPU1RAM
  {
    GETBUFFER :    TYPE = DSECT
    GETWRITEIDX :  TYPE = DSECT
    PUTREADIDX :   TYPE = DSECT
  }
    /* The following section definition are for SDFM examples */
  Filter1_RegsFile : > RAMGS1, fill=0x1111
  Filter2_RegsFile : > RAMGS2, fill=0x2222
  Filter3_RegsFile : > RAMGS3, fill=0x3333
  Filter4_RegsFile : > RAMGS4, fill=0x4444
  Difference_RegsFile : >RAMGS5, fill=0x3333
  GpioCtrlRegs:>GPIOCTRL
  UsbARegs:>USBA
  ClkCfgRegs:>CLKCFG
  CpuSysRegs:>CPUSYS
}
